version: '3.9'

services:

  https-nginx:
    container_name: https-nginx
    image: steveltn/https-portal:1
    ports:
      - 80:80
      - 443:443
    environment:
      WORKER_PROCESSES: "auto"                          # default is 1 -> grep processor /proc/cpuinfo
      WORKER_CONNECTIONS: 256483                        # default is 1024 -> ulimit -a
      KEEPALIVE_TIMEOUT: 20m
      # GZIP: "on"                                        # can be 'off' (you need quotes)
      # SERVER_TOKENS: off
      # SERVER_NAMES_HASH_MAX_SIZE: 512
      # SERVER_NAMES_HASH_BUCKET_SIZE: 32               # defaults to 32 or 64 based on your CPU
      # CLIENT_MAX_BODY_SIZE: 128M                        # 0 disables checking request body size
      # PROXY_BUFFERS: "8 4k"                           # Either 4k or 8k depending on the platform
      # PROXY_BUFFER_SIZE: "4k"                         # Either 4k or 8k depending on the platform
      # RESOLVER: "Your custom solver string"
      PROXY_CONNECT_TIMEOUT: 120
      PROXY_SEND_TIMEOUT: 120
      PROXY_READ_TIMEOUT: 120 
      # WEBSOCKET: true
      # RESOLVER: "127.0.0.11 ipv6=off valid=30s"
      # DYNAMIC_UPSTREAM: true
      DOMAINS: >
        kamil-zuk-cv.tk
      STAGE: production
      ERROR_LOG: /var/log/nginx-error.log
      ACCESS_LOG: /var/log/nginx-access.log
      # ACCESS_LOG_INCLUDE_HOST: off
    volumes:
      - ./https-nginx/cert:/var/lib/https-portal
      - ./https-nginx/logs:/var/log
      - ./public:/var/www/vhosts/kamil-zuk-cv.tk